SUSE: 2022:2371-1 important: xorg-x11-server | LinuxSecurity.com

Advisories


   SUSE Security Update: Security update for xorg-x11-server
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2371-1
Rating:             important
References:         #1194179 #1194181 
Cross-References:   CVE-2022-2319 CVE-2022-2320
CVSS scores:
                    CVE-2022-2320 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15-ESPOS
                    SUSE Linux Enterprise High Performance Computing 15-LTSS
                    SUSE Linux Enterprise Server 15-LTSS
                    SUSE Linux Enterprise Server for SAP 15
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for xorg-x11-server fixes the following issues:

   - CVE-2022-2319: Fixed out-of-bounds access in _CheckSetSections()
     (ZDI-CAN-16062) (bsc#1194179).
   - CVE-2022-2320: Fixed out-of-bounds access in CheckSetDeviceIndicators()
     (ZDI-CAN-16070) (bsc#1194181).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2022-2371=1

   - SUSE Linux Enterprise Server 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-2022-2371=1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2022-2371=1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2022-2371=1



Package List:

   - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64):

      xorg-x11-server-1.19.6-150000.8.39.1
      xorg-x11-server-debuginfo-1.19.6-150000.8.39.1
      xorg-x11-server-debugsource-1.19.6-150000.8.39.1
      xorg-x11-server-extra-1.19.6-150000.8.39.1
      xorg-x11-server-extra-debuginfo-1.19.6-150000.8.39.1
      xorg-x11-server-sdk-1.19.6-150000.8.39.1

   - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x):

      xorg-x11-server-1.19.6-150000.8.39.1
      xorg-x11-server-debuginfo-1.19.6-150000.8.39.1
      xorg-x11-server-debugsource-1.19.6-150000.8.39.1
      xorg-x11-server-extra-1.19.6-150000.8.39.1
      xorg-x11-server-extra-debuginfo-1.19.6-150000.8.39.1
      xorg-x11-server-sdk-1.19.6-150000.8.39.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64):

      xorg-x11-server-1.19.6-150000.8.39.1
      xorg-x11-server-debuginfo-1.19.6-150000.8.39.1
      xorg-x11-server-debugsource-1.19.6-150000.8.39.1
      xorg-x11-server-extra-1.19.6-150000.8.39.1
      xorg-x11-server-extra-debuginfo-1.19.6-150000.8.39.1
      xorg-x11-server-sdk-1.19.6-150000.8.39.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64):

      xorg-x11-server-1.19.6-150000.8.39.1
      xorg-x11-server-debuginfo-1.19.6-150000.8.39.1
      xorg-x11-server-debugsource-1.19.6-150000.8.39.1
      xorg-x11-server-extra-1.19.6-150000.8.39.1
      xorg-x11-server-extra-debuginfo-1.19.6-150000.8.39.1
      xorg-x11-server-sdk-1.19.6-150000.8.39.1


References:

   https://www.suse.com/security/cve/CVE-2022-2319.html
   https://www.suse.com/security/cve/CVE-2022-2320.html
   https://bugzilla.suse.com/1194179
   https://bugzilla.suse.com/1194181

SUSE: 2022:2371-1 important: xorg-x11-server

July 12, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for xorg-x11-server fixes the following issues: - CVE-2022-2319: Fixed out-of-bounds access in _CheckSetSections() (ZDI-CAN-16062) (bsc#1194179). - CVE-2022-2320: Fixed out-of-bounds access in CheckSetDeviceIndicators() (ZDI-CAN-16070) (bsc#1194181). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Server for SAP 15: zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2022-2371=1 - SUSE Linux Enterprise Server 15-LTSS: zypper in -t patch SUSE-SLE-Product-SLES-15-2022-2371=1 - SUSE Linux Enterprise High Performance Computing 15-LTSS: zypper in -t patch SUSE-SLE-Product-HPC-15-2022-2371=1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS: zypper in -t patch SUSE-SLE-Product-HPC-15-2022-2371=1 Package List: - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64): xorg-x11-server-1.19.6-150000.8.39.1 xorg-x11-server-debuginfo-1.19.6-150000.8.39.1 xorg-x11-server-debugsource-1.19.6-150000.8.39.1 xorg-x11-server-extra-1.19.6-150000.8.39.1 xorg-x11-server-extra-debuginfo-1.19.6-150000.8.39.1 xorg-x11-server-sdk-1.19.6-150000.8.39.1 - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x): xorg-x11-server-1.19.6-150000.8.39.1 xorg-x11-server-debuginfo-1.19.6-150000.8.39.1 xorg-x11-server-debugsource-1.19.6-150000.8.39.1 xorg-x11-server-extra-1.19.6-150000.8.39.1 xorg-x11-server-extra-debuginfo-1.19.6-150000.8.39.1 xorg-x11-server-sdk-1.19.6-150000.8.39.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64): xorg-x11-server-1.19.6-150000.8.39.1 xorg-x11-server-debuginfo-1.19.6-150000.8.39.1 xorg-x11-server-debugsource-1.19.6-150000.8.39.1 xorg-x11-server-extra-1.19.6-150000.8.39.1 xorg-x11-server-extra-debuginfo-1.19.6-150000.8.39.1 xorg-x11-server-sdk-1.19.6-150000.8.39.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64): xorg-x11-server-1.19.6-150000.8.39.1 xorg-x11-server-debuginfo-1.19.6-150000.8.39.1 xorg-x11-server-debugsource-1.19.6-150000.8.39.1 xorg-x11-server-extra-1.19.6-150000.8.39.1 xorg-x11-server-extra-debuginfo-1.19.6-150000.8.39.1 xorg-x11-server-sdk-1.19.6-150000.8.39.1

References

#1194179 #1194181

Cross- CVE-2022-2319 CVE-2022-2320

CVSS scores:

CVE-2022-2320 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 15-ESPOS

SUSE Linux Enterprise High Performance Computing 15-LTSS

SUSE Linux Enterprise Server 15-LTSS

SUSE Linux Enterprise Server for SAP 15

https://www.suse.com/security/cve/CVE-2022-2319.html

https://www.suse.com/security/cve/CVE-2022-2320.html

https://bugzilla.suse.com/1194179

https://bugzilla.suse.com/1194181

Severity
Announcement ID: SUSE-SU-2022:2371-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.